Package com.xebialabs.xlrelease.domain.delivery

## Enum SubscriptionStatus

- java.lang.Object
- - java.lang.Enum<SubscriptionStatus>
  - - com.xebialabs.xlrelease.domain.delivery.SubscriptionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SubscriptionStatus>`

      public enum SubscriptionStatus
      extends java.lang.Enum<SubscriptionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETED` |
    `FAILED` |
    `IN_PROGRESS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SubscriptionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SubscriptionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETED

          public static final SubscriptionStatus COMPLETED

    - #### FAILED

          public static final SubscriptionStatus FAILED

    - #### IN_PROGRESS

          public static final SubscriptionStatus IN_PROGRESS

  - ### Method Detail

    - #### values

          public static SubscriptionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscriptionStatus c : SubscriptionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscriptionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null